Bug 970234 - [abrt] kernel BUG at fs/btrfs/free-space-cache.c:1567!
[abrt] kernel BUG at fs/btrfs/free-space-cache.c:1567!
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fs-maint
Fedora Extras Quality Assurance
abrt_hash:0c32454c267dbcae963440ec6a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 15:05 EDT by STEVEN WARD
Modified: 2013-09-23 16:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 16:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (103.79 KB, text/plain)
2013-06-03 15:05 EDT, STEVEN WARD
no flags Details

  None (edit)
Description STEVEN WARD 2013-06-03 15:05:36 EDT
Additional info:
reporter:       libreport-2.1.4
kernel BUG at fs/btrfs/free-space-cache.c:1567!
invalid opcode: 0000 [#1] SMP 
Modules linked in: iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt vfat fat dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx raid1 raid0 bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables snd_usb_audio snd_usbmidi_lib snd_hda_codec_hdmi snd_rawmidi snd_hda_codec_realtek gspca_vc032x eeepc_wmi gspca_main snd_hda_intel asus_wmi mperf videodev kvm_amd sparse_keymap rfkill snd_hda_codec kvm media snd_hwdep snd_seq snd_seq_device snd_pcm edac_core snd_page_alloc microcode snd_timer edac_mce_amd serio_raw snd k10temp soundcore sp5100_tco i2c_piix4 uinput isofs squashfs btrfs libcrc32c xor zlib_deflate raid6_pq nouveau firewire_ohci r8169 mii mxm_wmi firewire_core video crc_itu_t i2c_algo_bit usb_storage drm_kms_helper ttm drm i2c_core wmi sunrpc
CPU 0 
Pid: 2363, comm: mount Not tainted 3.9.4-300.fc19.x86_64 #1 To be filled by O.E.M. To be filled by O.E.M./SABERTOOTH 990FX
RIP: 0010:[<ffffffffa02c49a4>]  [<ffffffffa02c49a4>] remove_from_bitmap+0x1f4/0x210 [btrfs]
RSP: 0018:ffff8800b64dd7d0  EFLAGS: 00010287
RAX: 0000000389cfb000 RBX: ffff88008f27ba80 RCX: 0000000389d01000
RDX: 0000000000001000 RSI: 0000000000007f00 RDI: 0000000000000100
RBP: ffff8800b64dd820 R08: ffff88012940a020 R09: 0000000391c00000
R10: ffffffffa026dcc1 R11: ffff88008f27ba98 R12: ffff88011bc010c0
R13: ffff8800b64dd840 R14: ffff8800b64dd838 R15: ffff88008f27baa8
FS:  00007fa71f414880(0000) GS:ffff88012fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00007fefd0731000 CR3: 000000009c245000 CR4: 00000000000007f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process mount (pid: 2363, threadinfo ffff8800b64dc000, task ffff88009d890000)
Stack:
 ffff8800b64dd820 0000000391c00000 ffff88011bc010e4 0000000389d01000
 0000000000001000 ffff88011bc010c0 ffff88011bc010e4 0000000000000001
 ffff88011bc010c8 ffff8800bdffab00 ffff8800b64dd870 ffffffffa02c616b
Call Trace:
 [<ffffffffa02c616b>] btrfs_remove_free_space+0x5b/0x290 [btrfs]
 [<ffffffff81081120>] ? wake_up_bit+0x30/0x30
 [<ffffffffa0275bff>] btrfs_alloc_logged_file_extent+0x1af/0x1d0 [btrfs]
 [<ffffffffa0261e86>] ? btrfs_free_path+0x26/0x30 [btrfs]
 [<ffffffffa02c0f17>] replay_one_extent+0x607/0x690 [btrfs]
 [<ffffffffa02c126b>] replay_one_buffer+0x2cb/0x390 [btrfs]
 [<ffffffffa02a67d4>] ? alloc_extent_buffer+0x94/0x3f0 [btrfs]
 [<ffffffffa02bc4a4>] walk_down_log_tree+0x224/0x410 [btrfs]
 [<ffffffffa02bc97f>] walk_log_tree+0xbf/0x1f0 [btrfs]
 [<ffffffffa02c33e1>] btrfs_recover_log_trees+0x1f1/0x360 [btrfs]
 [<ffffffffa02c0fa0>] ? replay_one_extent+0x690/0x690 [btrfs]
 [<ffffffffa0285a1b>] open_ctree+0x18eb/0x1f90 [btrfs]
 [<ffffffff812db0d4>] ? disk_name+0x54/0xb0
 [<ffffffffa025e94e>] btrfs_mount+0x5ce/0x6c0 [btrfs]
 [<ffffffff8129569d>] ? selinux_sb_copy_data+0x14d/0x220
 [<ffffffff8119d539>] mount_fs+0x39/0x1b0
 [<ffffffff811b66ef>] vfs_kern_mount+0x5f/0xf0
 [<ffffffff811b89be>] do_mount+0x23e/0xa20
 [<ffffffff811b8606>] ? copy_mount_options+0x36/0x170
 [<ffffffff811b9223>] sys_mount+0x83/0xc0
 [<ffffffff8164e3d9>] system_call_fastpath+0x16/0x1b
Code: 5b 41 5c 41 5d 41 5e 41 5f 5d c3 0f 1f 40 00 31 c0 48 83 7b 20 00 75 e4 48 89 de 4c 89 e7 89 45 c0 e8 b1 ed ff ff 8b 45 c0 eb d1 <0f> 0b e8 59 a4 02 00 0f 1f 44 00 00 e8 49 a4 02 00 66 66 2e 0f 
RIP  [<ffffffffa02c49a4>] remove_from_bitmap+0x1f4/0x210 [btrfs]
 RSP <ffff8800b64dd7d0>

Potential duplicate: bug 953443
Comment 1 STEVEN WARD 2013-06-03 15:05:43 EDT
Created attachment 756470 [details]
File: dmesg
Comment 2 Helber Maciel Guerra 2013-07-29 10:54:56 EDT
Description of problem:
Can not mount btrfs partition.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
kernel BUG at fs/btrfs/free-space-cache.c:1567!
invalid opcode: 0000 [#1] SMP 
Modules linked in: fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep arc4 ath9k ath9k_common ath9k_hw ath mac80211 snd_hda_codec_hdmi snd_hda_codec_conexant uvcvideo snd_hda_intel snd_hda_codec videobuf2_vmalloc videobuf2_memops ath3k videobuf2_core acpi_cpufreq videodev btusb mperf cfg80211 coretemp bluetooth snd_hwdep snd_seq kvm_intel media snd_seq_device kvm snd_pcm iTCO_wdt snd_page_alloc iTCO_vendor_support dell_wmi snd_timer sparse_keymap dell_laptop snd rfkill dcdbas mei soundcore lpc_ich i2c_i801 mfd_core joydev microcode uinput vfat fat squashfs btrfs libcrc32c xor zlib_deflate raid6_pq radeon crc32_pclmul i915 crc32c_intel ttm ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm r8169 mii i2c_core wmi video usb_storage sunrpc
CPU 0 
Pid: 1948, comm: mount Not tainted 3.9.5-301.fc19.x86_64 #1 Dell Inc. Vostro 3560/0R9N46
RIP: 0010:[<ffffffffa03689a4>]  [<ffffffffa03689a4>] remove_from_bitmap+0x1f4/0x210 [btrfs]
RSP: 0018:ffff8801f5b9d7d0  EFLAGS: 00010287
RAX: 00000000218ea000 RBX: ffff8802254d53c0 RCX: 00000000218fa000
RDX: 0000000000009000 RSI: 0000000000007b00 RDI: 0000000000000500
RBP: ffff8801f5b9d820 R08: ffff880253bf10a0 R09: 0000000029400000
R10: ffffffffa0311cc1 R11: ffff8802254d53d8 R12: ffff880253bfb580
R13: ffff8801f5b9d840 R14: ffff8801f5b9d838 R15: ffff8802254d53e8
FS:  00007f7a72a19880(0000) GS:ffff88025f200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f3ec6c08028 CR3: 000000020720b000 CR4: 00000000001407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process mount (pid: 1948, threadinfo ffff8801f5b9c000, task ffff880207028000)
Stack:
 ffff8801f5b9d820 0000000029400000 ffff880253bfb5a4 00000000218fa000
 0000000000009000 ffff880253bfb580 ffff880253bfb5a4 0000000000000000
 ffff880253bfb588 ffff880207041a00 ffff8801f5b9d870 ffffffffa036a16b
Call Trace:
 [<ffffffffa036a16b>] btrfs_remove_free_space+0x5b/0x290 [btrfs]
 [<ffffffff81080fa0>] ? wake_up_bit+0x30/0x30
 [<ffffffffa0319bff>] btrfs_alloc_logged_file_extent+0x1af/0x1d0 [btrfs]
 [<ffffffffa0305e86>] ? btrfs_free_path+0x26/0x30 [btrfs]
 [<ffffffffa0364f17>] replay_one_extent+0x607/0x690 [btrfs]
 [<ffffffffa0305caa>] ? btrfs_alloc_path+0x1a/0x20 [btrfs]
 [<ffffffffa034bdac>] ? read_extent_buffer+0xbc/0x110 [btrfs]
 [<ffffffffa036526b>] replay_one_buffer+0x2cb/0x390 [btrfs]
 [<ffffffffa034a7d4>] ? alloc_extent_buffer+0x94/0x3f0 [btrfs]
 [<ffffffffa03604a4>] walk_down_log_tree+0x224/0x410 [btrfs]
 [<ffffffffa036097f>] walk_log_tree+0xbf/0x1f0 [btrfs]
 [<ffffffffa03673e1>] btrfs_recover_log_trees+0x1f1/0x360 [btrfs]
 [<ffffffffa0364fa0>] ? replay_one_extent+0x690/0x690 [btrfs]
 [<ffffffffa0329a1b>] open_ctree+0x18eb/0x1f90 [btrfs]
 [<ffffffff812db184>] ? disk_name+0x54/0xb0
 [<ffffffffa030294e>] btrfs_mount+0x5ce/0x6c0 [btrfs]
 [<ffffffff8119d5e9>] mount_fs+0x39/0x1b0
 [<ffffffff81150ef0>] ? __alloc_percpu+0x10/0x20
 [<ffffffff811b679f>] vfs_kern_mount+0x5f/0xf0
 [<ffffffff811b8a6e>] do_mount+0x23e/0xa20
 [<ffffffff8114b5eb>] ? strndup_user+0x4b/0xf0
 [<ffffffff811b92d3>] sys_mount+0x83/0xc0
 [<ffffffff8164e799>] system_call_fastpath+0x16/0x1b
Code: 5b 41 5c 41 5d 41 5e 41 5f 5d c3 0f 1f 40 00 31 c0 48 83 7b 20 00 75 e4 48 89 de 4c 89 e7 89 45 c0 e8 b1 ed ff ff 8b 45 c0 eb d1 <0f> 0b e8 59 a4 02 00 0f 1f 44 00 00 e8 49 a4 02 00 66 66 2e 0f 
RIP  [<ffffffffa03689a4>] remove_from_bitmap+0x1f4/0x210 [btrfs]
 RSP <ffff8801f5b9d7d0>
Comment 3 Josh Boyer 2013-09-18 16:22:49 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Josef Bacik 2013-09-23 16:23:52 EDT
Fixed in 3.10.

Note You need to log in before you can comment on or make changes to this bug.